Pass your token via an Authorization header like this: Authorization: Bearer {token}.
Get all abandoned-carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "user" "user_customer" "customer_representative" Example: include=user Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" "transport_costs" "total_price" Examples:
Calculated properties to include |
object Example: uuid=c7f80b40-0cf6-4780-9546-69befc066d12 |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "subtotal_raw": null,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all alerts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
object Example: uuid=20a7c518-c561-4c66-b8c1-f2cf91d65e3d |
{- "data": [
- {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| alert-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "text" "hosts" "collections" "pages" Example: include=link Relations to include |
| append | string Value: "type_description" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": 0,
- "host_id": 0,
- "close_auto_after_seconds": 0,
- "use_session": true
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "meta": {
- "order_index": null
}
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "alerts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "type_id": null,
- "host_id": "0",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "close_auto_after_seconds": null,
- "use_session": false
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "text": {
- "data": [
- {
- "type": "texts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "hosts": {
- "data": [
- {
- "type": "hosts",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "b6e512f8-bf43-42ff-b708-5b52b52609f6"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all base-prices
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=25c2d934-c070-49a4-8696-1dbc2d4074d7 |
{- "data": [
- {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "709436a1-ea7e-43e4-8970-2328439cd23a"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Value: "product" Example: include=product Relations to include |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "709436a1-ea7e-43e4-8970-2328439cd23a"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get a single item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "709436a1-ea7e-43e4-8970-2328439cd23a"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Update an item
| base-price-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": 0,
- "config_type_id": 0,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "string",
- "address": "string",
- "account_type": "string",
- "price": 0
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "base-prices",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "type_id": null,
- "config_type_id": null,
- "from": "2020-03-09",
- "until": "2020-03-09",
- "customer": "",
- "address": "",
- "account_type": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "price": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "709436a1-ea7e-43e4-8970-2328439cd23a"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all brands
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
object Example: uuid=46b1b3a0-f4af-40b8-bcbd-ff3acd5e3498 |
{- "data": [
- {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get a single item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Update an item
| brand-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "link" "media" "pages" Example: include=link Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "brands",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "link": {
- "data": [
- {
- "type": "links",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "media": {
- "data": [
- {
- "type": "media",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "97968032-6165-4d5c-9fea-a8a8e2462887"
}
]
}
}, - "included": [
- {
- "type": "links",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "url": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "deleted_at": "2020-03-09T07:12:24.000000Z",
- "icon": "",
- "sequence": "0",
- "code_internal": null
}
}
]
}
}Get all business-contexts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=e857afb8-85ca-4e9f-961b-8b51b65540a1 |
{- "data": [
- {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| business-context-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "parent_id": 0,
- "type_id": 0,
- "order": 0
}
}
}{- "data": {
- "type": "business-contexts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": null,
- "parent_id": null,
- "type_id": "1",
- "order": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all callbacks
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=f2b46b05-ca39-4cdc-91dd-c07483359865 |
{- "data": [
- {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get a single item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Update an item
| callback-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "string",
- "uri_string": "string",
- "max_retries": 0
}
}
}{- "data": {
- "type": "callbacks",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "name": "",
- "uri_string": "",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "max_retries": "1"
}
}
}Get all carts
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
object Example: uuid=68ddadbe-7c3f-4e37-bd1f-d600ca7837cb |
{- "data": [
- {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "subtotal_raw": null,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "items" Example: include=items Relations to include |
| append | string Enum: "item_count" "total_price_after_taxes" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "carts",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "has_exemption_from_taxes": false,
- "taxes_are_included_in_prices": false,
- "taxes_included_in_params": false,
- "subtotal_raw": null,
- "currency_code": null,
- "taxes_percentage_raw": null,
- "taxes": null,
- "subtotal_of_items_raw": null,
- "transport_costs_raw": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "taxes_included_in_transport": false,
- "taxes_included_in_commissions": false,
- "dirty": false,
- "commission_fee_raw": null,
- "taxes_display_name": null,
- "taxes_transport": null,
- "taxes_commission": null,
- "taxes_params": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "diesel_surcharge_raw": "0",
- "taxes_diesel_surcharge": "0",
- "delivery_type_id": "0",
- "store_id": "0",
- "is_snail_mail": false,
- "delivery_address": "",
- "delivery_allowed": false,
- "order_type_id": "0",
- "active_promo_id": "0",
- "transport_type": "0",
- "transport_info": ""
}
}
}Get all carts.items
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Value: "product" Example: include=product Relations to include |
object Example: uuid=f83f018d-26f7-494c-bc65-82f1abdfa39a |
{- "data": [
- {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "f7c179bb-0f80-4a43-9b00-ac3a37077d7e"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| cart-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| item-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Value: "product" Example: include=product Relations to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "cart-items",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "taxes": null,
- "total_price_raw": null,
- "total_price_after_taxes_raw": null,
- "code": null,
- "title": null,
- "charge_transport_costs": false,
- "requires_shipping_address": false,
- "quantity": null,
- "unit_price_raw": null,
- "taxes_percentage_raw": null,
- "quantity_unit": null,
- "price_unit": null,
- "cart_id": null,
- "object_type": null,
- "object_id": null,
- "description": null,
- "size_label": null,
- "color_label": null,
- "color_hex_code": null,
- "stock_status_id": null,
- "weight_in_grams": null,
- "price_note": null,
- "is_calculated_manually": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "code_internal": null,
- "source": null,
- "on_demand": false,
- "parent_id": null
}, - "relationships": {
- "product": {
- "data": [
- {
- "type": "products",
- "uuid": "f7c179bb-0f80-4a43-9b00-ac3a37077d7e"
}
]
}
}, - "included": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "3bc4c5ce-c557-4b28-be11-58f1728e4e21"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
]
}
}Get all catalogs
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
object Example: uuid=bd6bc37e-0a17-4c04-acc2-a531cd810d3b |
{- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get a single item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Update an item
| catalog-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "order_index": 0,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}
}
}{- "data": {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": null,
- "order_index": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z"
}
}
}Get all collections
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=34ed867a-aeec-4906-ae1e-dce3317f642a&code=sequi&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Create an item
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Update an item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
required | object |
{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": true,
- "code": "string",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "string",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z"
}, - "relationships": {
- "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a"
}
]
}
}
}
}{- "data": {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "578aa09b-afe3-4dc6-ad80-2e076859bf7d"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
}Get all collections.children
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=15ca10cc-2397-45a0-838e-795430c7a33e&code=dolor&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "038a4d9a-c527-41cd-ad14-9811bda9ef5b"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "038a4d9a-c527-41cd-ad14-9811bda9ef5b"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "038a4d9a-c527-41cd-ad14-9811bda9ef5b"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "038a4d9a-c527-41cd-ad14-9811bda9ef5b"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "038a4d9a-c527-41cd-ad14-9811bda9ef5b"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "038a4d9a-c527-41cd-ad14-9811bda9ef5b"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.parent
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "parent" "children" "redirect" "catalogues" "pages" Example: include=media Relations to include |
| append | string Value: "href" Examples:
Calculated properties to include |
object Example: uuid=aa603834-0740-40e1-af32-794501a298a3&code=cumque&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "collections",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "nav_title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "redirect_raw": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "order_index": "",
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "lower": "0",
- "upper": "0",
- "depth": "0"
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "ce88edd6-f6ee-4004-8cb9-d6e88b9cb0b4"
}
]
}, - "parent": {
- "data": [
- {
- "type": "collections",
- "uuid": "ce88edd6-f6ee-4004-8cb9-d6e88b9cb0b4"
}
]
}, - "children": {
- "data": [
- {
- "type": "collections",
- "uuid": "ce88edd6-f6ee-4004-8cb9-d6e88b9cb0b4"
}
]
}, - "redirect": {
- "data": [
- {
- "type": "collections",
- "uuid": "ce88edd6-f6ee-4004-8cb9-d6e88b9cb0b4"
}
]
}, - "catalogues": {
- "data": [
- {
- "type": "catalogs",
- "uuid": "ce88edd6-f6ee-4004-8cb9-d6e88b9cb0b4"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "ce88edd6-f6ee-4004-8cb9-d6e88b9cb0b4"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get all collections.products
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
| sort | string Enum: "created_at" "-created_at" "updated_at" "-updated_at" Examples:
Field to sort by. May be prepended with |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
object Example: uuid=e7cabe74-809b-43a1-aafd-56e61ea7e7ce&code=77696277&catalog_uuid=9308e166-6362-4cc0-be46-9dc63c6eac4a |
{- "data": [
- {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "extras": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "pages": {
- "data": [
- {
- "type": "pages",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}
}, - "included": [
- {
- "type": "media",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "collection_name": null,
- "name": null,
- "file_name": null,
- "mime_type": null,
- "disk": null,
- "conversions_disk": null,
- "size": null,
- "manipulations": [ ],
- "custom_properties": [ ],
- "generated_conversions": [ ],
- "responsive_images": [ ],
- "order_column": null,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z"
}
}
]
}
], - "links": {
- "first": "string",
- "last": "string",
- "prev": "string",
- "next": "string"
}, - "meta": {
- "current_page": 0,
- "from": 0,
- "last_page": 0,
- "path": "string",
- "per_page": 0,
- "to": 0,
- "total": 0
}
}Get a single item
| collection-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| product-uuid required | string <uuid> Example: 9308e166-6362-4cc0-be46-9dc63c6eac4a |
| include | string Enum: "media" "units" "prices" "meta_data" "brand" "seo" "highlight_statuses" "related_products" "deposits" "clone_of" "group_with" "files" "links" "videos" "stock_status" "collections" "extras" "pages" Example: include=media Relations to include |
| append | string Enum: "href" "api_id" "hash_id" "promo_price" "promo_percentage" "is_available" "price" "deposit" "catalog_product_price" "uri_added_to_cart" "rating" "rating_count" Examples:
Calculated properties to include |
| locale | string Example: locale=nl Passing a locale as query parameter will make the api return translated strings instead of translatable objects |
| page | number Example: page=1 |
| limit | number [ 1 .. 1000 ] Example: limit=15 |
{- "data": {
- "type": "products",
- "uuid": "9308e166-6362-4cc0-be46-9dc63c6eac4a",
- "attributes": {
- "promo_price_raw": null,
- "promo_percentage_raw": null,
- "stock": null,
- "subtitle": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "size": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "published": false,
- "code": "",
- "price_raw": null,
- "enable_calculator": false,
- "not_for_sale": false,
- "title": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "description": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "price_unit": null,
- "slug": {
- "nl": "string",
- "en": "string",
- "fr": "string",
- "de": "string"
}, - "taxes_percentage_raw": null,
- "promo_id": null,
- "badge_id": null,
- "weight_in_grams": null,
- "stock_unit": null,
- "new_status_end_date": "2020-03-09T07:12:24.000000Z",
- "date_available": "2020-03-09T07:12:24.000000Z",
- "max_units_per_order": null,
- "publish_start": "2020-03-09T07:12:24.000000Z",
- "publish_end": "2020-03-09T07:12:24.000000Z",
- "promo_start": "2020-03-09T07:12:24.000000Z",
- "promo_end": "2020-03-09T07:12:24.000000Z",
- "on_demand": false,
- "created_at": "2020-03-09T07:12:24.000000Z",
- "updated_at": "2020-03-09T07:12:24.000000Z",
- "hide_price": false,
- "last_synced_at": "2020-03-09T07:12:24.000000Z",
- "length": "0",
- "width": "0",
- "thickness": "0",
- "items_per_package_sale": "0",
- "packages_per_box_sale": "0",
- "boxes_per_pallet_sale": "0",
- "items_per_package_purchase": "0",
- "packages_per_box_purchase": "0",
- "boxes_per_pallet_purchase": "0",
- "gross_weight": "0",
- "net_weight": "0",
- "specific_gravity": "0",
- "length_unit": "",
- "width_unit": "",
- "thickness_unit": "",
- "is_in_promo": false
}, - "relationships": {
- "media": {
- "data": [
- {
- "type": "media",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "units": {
- "data": [
- {
- "type": "product-units",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "meta_data": {
- "data": [
- {
- "type": "meta-data",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "brand": {
- "data": [
- {
- "type": "brands",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "highlight_statuses": {
- "data": [
- {
- "type": "highlight-statuses",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "related_products": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "deposits": {
- "data": [
- {
- "type": "product-deposits",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "clone_of": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "group_with": {
- "data": [
- {
- "type": "products",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "links": {
- "data": [
- {
- "type": "links",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "videos": {
- "data": [
- {
- "type": "videos",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "stock_status": {
- "data": [
- {
- "type": "stock-statuses",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "collections": {
- "data": [
- {
- "type": "collections",
- "uuid": "14f55dc6-2bf0-4c6a-a58f-e0008e3a983d"
}
]
}, - "extras": {
- "data": [
- {
[...]
